import EventForm from '../../../components/EventForm';
import axios from 'axios';
import { useRouter } from 'next/router';

export default function NewEvent() {
  const router = useRouter();

  const handleSubmit = async (formData) => {
    try {
      await axios.post('/api/events', formData);
      router.push('/admin');
    } catch (error) {
      console.error('Error creating event:', error);
    }
  };

  return <EventForm onSubmit={handleSubmit} />;
}
