import Link from 'next/link';
import { Container, Typography, Grid, Fab, Button, Box } from '@mui/material';
import { useEffect, useState } from 'react';
import axios from 'axios';

export default function Admin() {
  const [events, setEvents] = useState([]);

  useEffect(() => {
    axios.get('/api/events')
      .then(response => setEvents(response.data))
      .catch(error => console.error('Error loading events:', error));
  }, []);

  return (
    <Container>
      <Typography variant="h4" component="h4" gutterBottom>Admin</Typography>
      <Box display="flex" justifyContent="flex-end" mb={2}>
        <Fab color="primary" aria-label="add" href="/admin/events/new">
          +
        </Fab>
      </Box>
      <Grid container spacing={3}>
        {events.map(event => (
          <Grid item key={event.id} xs={12} sm={6} md={4}>
            <Link href={`/admin/events/${event.eventId}`} passHref>
              <Button variant="contained" color="primary" fullWidth>{event.name}</Button>
            </Link>
          </Grid>
        ))}
      </Grid>
    </Container>
  );
}
