import fs from 'fs';
import path from 'path';

const configFilePath = path.resolve(process.cwd(), 'server/config.json');

export default function handler(req, res) {
  if (req.method === 'GET') {
    if (fs.existsSync(configFilePath)) {
      const configData = fs.readFileSync(configFilePath, 'utf-8');
      res.status(200).json(JSON.parse(configData));
    } else {
      res.status(200).json({ timing_point: '', decoder_id: '', event_id: '' });
    }
  } else if (req.method === 'POST') {
    const configData = req.body;
    fs.writeFileSync(configFilePath, JSON.stringify(configData, null, 2));
    res.status(200).json({ message: 'Config saved successfully' });
  } else {
    res.status(405).end();
  }
}