import { Event, GroupMn  } from '../../../server/db';

export default async function handler(req, res) {
  if (req.method === 'GET') {
    const events = await Event.findAll();
    res.status(200).json(events);
  } else if (req.method === 'POST') {
    const { name, location, website, description, startTime, endTime, groups } = req.body;
    const newEvent = await Event.create({ name, location, website, description, startTime, endTime });
    if (groups && groups.length > 0) {
      const groupEntries = groups.map(({ groupId, raceType, value }) => ({
        eventId: newEvent.eventId,
        groupId,
        raceType,
        value
      }));
      await GroupMn.bulkCreate(groupEntries);
    }
    res.status(201).json(newEvent);
  }
}