import { useRouter } from 'next/router';
import { useEffect, useState } from 'react';
import { Container, Typography, Table, TableBody, TableCell, TableContainer, TableHead, TableRow, Paper, CircularProgress } from '@mui/material';
import axios from 'axios';

const ParticipantsPage = () => {
  const router = useRouter();
  const { id } = router.query;
  const [participants, setParticipants] = useState([]);
  const [event, setEvent] = useState(null);
  const [loading, setLoading] = useState(true);

  useEffect(() => {

  }, [id]);

  useEffect(() => {
    const fetchParticipants = async () => {
    try {
        const response = await axios.get(`/api/events/${id}/participants`);
        setParticipants(response.data);
        setLoading(false);
    } catch (error) {
        console.error('Error fetching participants:', error);
        setLoading(false);
    }
    };

    if (id) {
        fetchParticipants();
    }

    const fetchEventData = async () => {
        try {
          const response = await axios.get(`/api/events/${id}`);
          setEvent(response.data);
          setLoading(false);
        } catch (error) {
          console.error('Error fetching event data:', error);
        }
      };
  
      if (id) {
        fetchEventData();
      }
  }, [id]);

  if (loading) {
    return (
      <Container>
        <Typography variant="h4" component="h4" gutterBottom>
        Teilnehmer {event ? event.name : `Veranstaltung ${id}`}
        </Typography>
        <CircularProgress />
      </Container>
    );
  }

  return (
    console.log(participants),
    <Container>
      <Typography variant="h4" component="h4" gutterBottom>
      Teilnehmer {event ? event.name : `Veranstaltung ${id}`}
      </Typography>
      <TableContainer component={Paper}>
        <Table>
          <TableHead>
            <TableRow>
            <TableCell>Startnummer</TableCell>
              <TableCell>Vorname</TableCell>
              <TableCell>Nachname</TableCell>
              <TableCell>Klasse</TableCell>
            </TableRow>
          </TableHead>
          <TableBody>
            {participants.map((participant) => (
              <TableRow key={participant.id}>
                <TableCell>{participant.startNumber}</TableCell>
                <TableCell>{participant.first_name}</TableCell>
                <TableCell>{participant.last_name}</TableCell>
                <TableCell>{participant.Group.name}</TableCell>
              </TableRow>
            ))}
          </TableBody>
        </Table>
      </TableContainer>
    </Container>
  );
};

export default ParticipantsPage;
