import Link from 'next/link';
import { Container, Typography, Grid, Button } from '@mui/material';
import { useEffect, useState } from 'react';
import axios from 'axios';

export default function Home() {
  const [events, setEvents] = useState([]);

  useEffect(() => {
    axios.get('/api/events')
      .then(response => setEvents(response.data))
      .catch(error => console.error('Error loading events:', error));
  }, []);

  return (
    <Container>
      <Typography variant="h4" component="h1" gutterBottom>Veranstaltungen</Typography>
      <Grid container spacing={3}>
        {events.map(event => (
          <Grid item key={event.id} xs={4} sm={4} md={4}>
            <Link href={`/events/${event.eventId}`} passHref>
              <Button variant="contained" color="primary" fullWidth>{event.name}</Button>
            </Link>
          </Grid>
        ))}
      </Grid>
    </Container>
  );
}